<?php

namespace Drupal\protected_download;

class PolicyRepository implements PolicyRepositoryInterface {

  /**
   * Returns a policy for the given scheme.
   */
  public function getPolicy($scheme)
  {
    // Defaults.
    if ($scheme === 'private') {
      return new ExactTtlPolicy(ExactTtlPolicy::DEFAULT_EXACT_TTL);
    }
    else {
      return new AlignedTtlPolicy(AlignedTtlPolicy::DEFAULT_ALIGNED_MIN_TTL, AlignedTtlPolicy::DEFAULT_ALIGNED_MAX_TTL);
    }

    // FIXME: Make this configurable.
  }
}
